using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsEnergyDaily {
        //일별 에너지 사용량
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "냉난방 구분"), Key]
        public short ServiceTypeId { get; set; }
        [Display(Name = "에너지 타입"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "생성일"), Key]
        [Column(TypeName = "date")]
        public DateTime CreatedDate { get; set; }
        [Display(Name = "예측량")]
        public double? Prediction { get; set; }
        [Display(Name = "실측 사용량")]
        public double? Measurement { get; set; }
        [Display(Name = "목표량")]
        public double? Goal { get; set; }
        [Display(Name = "가스 예측 회귀 수치"), Column("Prediction_Regression")]
        public double? PredictionRegression { get; set; }
        [Display(Name = "평균온도")]
        public double? MeanT { get; set; }
        [Display(Name = "난방도일"), Column("HDD")]
        public double? Hdd { get; set; }
        [Display(Name = "냉방도일"), Column("CDD")]
        public double? Cdd { get; set; }

        [ForeignKey("SiteId,BuildingId")]
        public virtual CmBuilding CmBuilding { get; set; }
        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
        [ForeignKey("ServiceTypeId")]
        public virtual BemsServiceType ServiceType { get; set; }
    }
}
